Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.univariatestats
Class UnivariateStatsData.FieldIndex

    java.lang.Object
      org.pentaho.di.trans.steps.univariatestats.UnivariateStatsData.FieldIndex

Enclosing class:
  UnivariateStatsData

    public static class UnivariateStatsData.FieldIndex

extends Object

Inner class used to hold operating field index, intermediate data and final results for a stats calculation. Has functions to compute the mean, standard deviation and arbitrary percentiles. Percentiles can be computed using interpolation or a simple method. See The Engineering Statistics Handbook for details.

Field Summary
`double` | `m_arbitraryPercentile`
`int` | `m_columnIndex`
`double` | `m_count`
`double` | `m_max`
`double` | `m_mean`
`double` | `m_median`
`double` | `m_min`
`double` | `m_stdDev`
`double` | `m_sum`
`double` | `m_sumSq`

Constructor Summary
`UnivariateStatsData.FieldIndex()`

Method Summary
`Object[]` | `generateOutputValues(UnivariateStatsMetaFunction usmf, ArrayList<Number> cache)` Constructs an array of Objects containing the requested statistics for one univariate stats meta function using this `FieldIndex`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_columnIndex

    public int m_columnIndex

### m_count

    public double m_count

### m_mean

    public double m_mean

### m_stdDev

    public double m_stdDev

### m_max

    public double m_max

### m_min

    public double m_min

### m_median

    public double m_median

### m_arbitraryPercentile

    public double m_arbitraryPercentile

### m_sum

    public double m_sum

### m_sumSq

    public double m_sumSq

Constructor Detail

### UnivariateStatsData.FieldIndex

    public UnivariateStatsData.FieldIndex()

Method Detail

### generateOutputValues

    public Object[] generateOutputValues(UnivariateStatsMetaFunction usmf,
                                         ArrayList<Number> cache)

  Constructs an array of Objects containing the requested statistics for one univariate stats meta function using this `FieldIndex`.

  Parameters:
    `usmf` - the`UnivariateStatsMetaFunction` to compute stats for. This contains the input field selected by the user along with which stats to compute for it.
  Returns:
    an array of computed statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD